// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js

angular.element(document).ready(function() {
    if (window.cordova) {
        document.addEventListener('deviceready', function() {
            angular.bootstrap(document.body, ['starter']);
            initAd();
        }, false);
    } else {
        angular.bootstrap(document.body, ['starter']);
    }
});

angular.module('starter', ['ionic', 'starter.controllers', 'starter.directives'])

    .run(function($ionicPlatform) {
        $ionicPlatform.ready(function() {
            // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
            // for form inputs)
            if (window.cordova && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
                cordova.plugins.Keyboard.disableScroll(true);
            }
            if (window.StatusBar) {
                // org.apache.cordova.statusbar required
                StatusBar.styleDefault();
                // false for android and true for ios
                StatusBar.overlaysWebView(false);
                // StatusBar.styleLightContent();
                // StatusBar.backgroundColorByHexString('#000');
            }
        });
    })

    .config(function($stateProvider, $urlRouterProvider) {
        $stateProvider

            .state('app', {
                url: '/app',
                abstract: true,
                templateUrl: 'templates/menu.html',
                controller: 'AppCtrl'
            })

            .state('app.weather', {
                url: '/weather',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/weather.html'
                    }
                }
            });
        // if none of the above states are matched, use this as the fallback
        $urlRouterProvider.otherwise('/app/weather');
    });
