angular.module('starter.directives', [])
    .directive('input', function($ionicSideMenuDelegate) {
        return {
            restrict: 'E',
            link: function(scope, element) {
                element.on('keyup', function(e) {
                    var keyPressed = e.keyCode || e.which;
                    if (keyPressed === 13) {
                        $ionicSideMenuDelegate.toggleRight();
                    }
                    return true;
                });
            }
        };
    })
    .directive('formatTime', function($parse) {
        return {
            restrict: 'A',
            require: 'ngModel',
            link: function(scope, element, attrs, ngModel) {
                var timeFormat = $parse(attrs.formatTime)(scope);

                //format text going to user (model to view)
                ngModel.$formatters.push(function(value) {
                    if (timeFormat === 12) {
                        if (value < 12) {
                            return value + ' AM';
                        } else {
                            if (value > 12) {
                                value = value - 12;
                            }
                            return value + ' PM';
                        }
                    } else {
                        return value;
                    }
                });

                //format text from the user (view to model)
                ngModel.$parsers.push(function(value) {
                    // if pm exists
                    if (value.toUpperCase().indexOf('PM') !== -1) {
                        // remove all letters and spaces and add 12
                        return (parseInt(value.replace(/\D/g, '')) + 12);
                    } else {
                        // remove all letters and spaces
                        return value.replace(/\D/g, '');
                    }
                });
            }
        };
    });